<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('payment_contribution_histories', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('employee_pc_id')->index();
            $table->dateTime('date_pause')->nullable();
            $table->dateTime('date_resume')->nullable();
            $table->boolean('enabled')->default(true)->index();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('payment_contribution_histories');
    }
};
